#!/bin/bash

############################
# reconf-preludemanager.sh
# instructions spécifiques
# pour la reconfiguration
# du module PreludeManager
############################

# enregistrement des sondes locales si nécéssaire
/usr/share/eole/register_local.sh

# activation des modules mod_rewrite et mod_proxy pour apache2
echo "Chargement des modules proxy et rewrite pour apache2"
/usr/sbin/a2enmod proxy &> /dev/null
/usr/sbin/a2enmod proxy_http &> /dev/null
/usr/sbin/a2enmod rewrite &> /dev/null

echo
# Génération des bases de données
/usr/share/eole/gen_databases.py
echo
# Mise à jour des bases de données
/usr/share/eole/update_databases.py
echo
